Package de.willuhn.jameica.hbci.gui.controller

# Class SepaSammelLastschriftControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferControl<SepaSammelLastschrift>
de.willuhn.jameica.hbci.gui.controller.SepaSammelLastschriftControl

public class SepaSammelLastschriftControl extends AbstractSepaSammelTransferControl<SepaSammelLastschrift>
Implementierung des Controllers fuer den Dialog "Liste der SEPA-Sammellastschriften".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelLastschriftControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.parts.TablePart`
`getBuchungen()`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.
`SepaSammelLastschriftList`
`getListe()`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.
`de.willuhn.jameica.gui.input.Input`
`getName()`
Ueberschrieben, um einen Namensvorschlag anzuzeigen.
`de.willuhn.jameica.gui.input.Input`
`getSequenceType()`
Liefert das Eingabe-Feld fuer den Sequenztyp.
`Class<? extends SynchronizeJob>`
`getSynchronizeJobType()`
Liefert die Synchronize-Job-Art.
`de.willuhn.jameica.gui.input.Input`
`getTargetDate()`
Liefert das Eingabe-Feld fuer das Ausfuehrungsdatum.
`SepaSammelLastschrift`
`getTransfer()`
Liefert den aktuellen Sammel-Auftrag.
`de.willuhn.jameica.gui.input.Input`
`getType()`
Liefert das Eingabe-Feld fuer den Typ.
`boolean`
`handleStore()`
Ueberschrieben, um die Lastschrift-spezifischen Attribute zu setzen.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferControl

`getBatchBook, getKontoAuswahl, getPmtInfId, getReminderInterval, getTermin, store`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelLastschriftControl

public SepaSammelLastschriftControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getSequenceType

public de.willuhn.jameica.gui.input.Input getSequenceType() throws RemoteException
Liefert das Eingabe-Feld fuer den Sequenztyp.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getName

public de.willuhn.jameica.gui.input.Input getName() throws RemoteException
Ueberschrieben, um einen Namensvorschlag anzuzeigen.

Overrides:
  `getName` in class `AbstractSepaSammelTransferControl<SepaSammelLastschrift>`
Returns:
  Name des Sammel-Auftrages.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getName()`

### getType

public de.willuhn.jameica.gui.input.Input getType() throws RemoteException
Liefert das Eingabe-Feld fuer den Typ.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getTargetDate

public de.willuhn.jameica.gui.input.Input getTargetDate() throws RemoteException
Liefert das Eingabe-Feld fuer das Ausfuehrungsdatum.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Ueberschrieben, um die Lastschrift-spezifischen Attribute zu setzen.

Overrides:
  `handleStore` in class `AbstractSepaSammelTransferControl<SepaSammelLastschrift>`
Returns:
  true, wenn das Speichern erfolgreich war, sonst false.
See Also:
  - `AbstractSepaSammelTransferControl.handleStore()`

### getTransfer

public SepaSammelLastschrift getTransfer() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert den aktuellen Sammel-Auftrag.

Specified by:
  `getTransfer` in class `AbstractSepaSammelTransferControl<SepaSammelLastschrift>`
Returns:
  Sammel-Auftrag.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getTransfer()`

### getSynchronizeJobType

public Class<? extends SynchronizeJob> getSynchronizeJobType()
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert die Synchronize-Job-Art.

Specified by:
  `getSynchronizeJobType` in class `AbstractSepaSammelTransferControl<SepaSammelLastschrift>`
Returns:
  die Synchronize-Job-Art.
See Also:
  - `AbstractSepaSammelTransferControl.getSynchronizeJobType()`

### getListe

public SepaSammelLastschriftList getListe() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.

Specified by:
  `getListe` in class `AbstractSepaSammelTransferControl<SepaSammelLastschrift>`
Returns:
  Liste der Sammellastschriften.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getListe()`

### getBuchungen

public de.willuhn.jameica.gui.parts.TablePart getBuchungen() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.

Specified by:
  `getBuchungen` in class `AbstractSepaSammelTransferControl<SepaSammelLastschrift>`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getBuchungen()`